****************************************************************************
****************                                            ****************
****************         This is AfterStep 1.7.164          ****************
****************                                            ****************
****************************************************************************

You can find translated versions of this README in doc/languages.  If there's
no version corresponding to your language please write it and send it to me!
If your README is too different from this one please send me patches to
update it.


 LIBRARIES
+---------+

The following libraries are not necessarily required to run and enjoy
AfterStep however, support for them is included within AfterStep and it's
various Modules.

 o  libXpm  (ftp://metalab.unc.edu/pub/Linux/libs/X/)
 o  libjpeg (ftp://ftp.uu.net/graphics/jpeg/)
 o  libpng  (http://www.cdrom.com/pub/png/pngcode.html)

 INSTALL
+-------+

Unarchive the distrobution AfterStep-1.7.x.tar(gz|bz2) then -

	./install.script
	OR
	./configure
	make
	make install
	mv ~/.xinitrc ~/xinitrc.old
	echo afterstep > ~/.xinitrc

Then try AfterStep... I guess you'll love it.  If so, please vote for
AfterStep at http://www.PLiG.org/xwinman/vote.html so we will check if our
work is worth something :-)

 DETAILED INSTRUCTIONS
+----------------------+

Unarchive the distrobution  AfterStep-1.7.x.tar(gz|bz2), then run
configure to guess system-dependant options:

        ./configure

Configure has several options which can be fed to it to --disable or
--enable or include various characteristics of AfterStep.  A complete listing
can be obtained from ./configure --help, a few are below, defaults are listed
within the brackets.

  --with-imageloader=APP  used to display non-XPMs [xli -onroot -quiet]
  --with-helpcommand=APP  display manpage for window [xiterm -e man]
  --with-startsort=METHOD start menu sorting method [SORTBYALPHA]
  --enable-different-looknfeels
			  different look&feel for each desktop [no] 
  --with-desktops=DESKS   default desktops in pager [4] 
  --with-deskgeometry=GEOM
			  desktop views as COLUMNSxROWS [2x2] 
  --enable-newlook        support new look options (MyStyles) [yes] 
  --enable-pagerbackground
			  provide background support with the Pager [yes] 
  --enable-i18n           support I18N [no] 
  --enable-xlocale        using X_LOCALE [no] 
  --enable-menuwarp       warp mouse pointer to menus [no] 
  --enable-savewindows    save windows and re-open next session [yes] 
  --enable-makemenus      make the start menu from the start/ tree [yes] 
  --enable-makemenusonboot
			  always make the start menu when starting AS [no] 
  --enable-texture        support gradient, XPM, and JPEG textures [yes] 
  --enable-shade          support shaded windows [yes] 
  --enable-virtual        support virtual desktops [yes] 
  --enable-saveunders     request saveunders for menus [yes] 
  --enable-windowlist     compile built-in window-list [yes]
  --enable-availability   check for unavailable binaries [yes] 
  --enable-staticlibs     enable linking to libafterstep statically [yes] 
  --enable-script         compile Script module [yes] 
  --with-xpm              support XPM image format [yes]
  --with-jpeg             support JPEG image format [yes]
  --with-png              support PNG image format [yes]

If you can't become root, you will have to change systems-wide installation
paths to someplace from your PATH where you have permisson to write by using
the appropriate paths to the following ./configure options.

  --prefix=PRE		  install architecture-independent files in PRE
                          [/usr/local]
  --bindir=DIR            user executables in DIR [PRE/bin]
  --datadir=DIR           read-only architecture-independent data in DIR
                          [PRE/share]
  --mandir=DIR            man documentation in DIR [PRE/man]

Make sure these directories exist before you start the configure, otherwise
you'll have one file called bin, one called man, etc. :)  Begin the build
process and monitor the output of the above commands for possible error
messages!!!

	make

Become root, or omit the su command if you have changed ./configure to
install in your $HOME, and execute the install process to install the binaries
and man pages.

        su root -
	make install
	
Insert a call to the window manager within the X servers user script.  If the
path to the installed binary is not in your PATH, then provide the full path
to it in the echo.  By default the binaries are installed into /usr/local and
this is NOT in root's PATH! :)

	echo afterstep > ~/.xinitrc

If you prefer to continue using the old .steprc single file configuration
instead of the GNUstep logic hierarchy, use this modified version for the
.xinitrc file

	echo "afterstep -f ~/.steprc" > ~/.xinitrc

To capture any error which might be output during the first run of AfterStep,
you can direct any that might ocur into a file for inspection later.

	startx > ~/AF-debug 2>&1

 RPM METHOD
+----------+

If you'd like to make an rpm directly from this tarball, you can use the
AfterStep.spec file included in the tarball, or extract it and edit it
to your liking.  By using the one supplied in the tarball -

	rpm -tb AfterStep-1.7.x.tar.gz [or .bz2]

Further information can be optained from the rpm man page.  The included
AfterStep-redhat.tar.gz file is the menu used for this method.

 HINTS
+------+

Several "looks" (theme-ish) are included within the distrobution.  Any of
these can be started by selecting the name of the look from the menu.

	(startmeu)->Desktop->Looks->look.***

There are several "feels" (key bindings and window reactions), background
Pictures, and Animations to try out as well.  These all work the same way,
by selecting them from the menu under Desktop. But if you want to use
*different* look & feel files for *each* desktop, just tell that to
./configure.

If you wish to change or make additions to the startmenu, you will need to
first create the file, either under the share tree or in a created start dir
tree in the users ~/GNUstep/Library/AfterStep/start tree, then inform AfterStep
about the menu change by.

	(startmeu)->Desktop->Update startmenu

 TOOLS
+------+

AfterStep has a few tools to play with which are in the tools/ directory.
The "Uninstall-Old-AfterStep" is a script to use to remove the old binaries
of 1.3.x and 1.4.x binaries, man pages and documents.  Simply read the top
portion of this script to find the usage.  Without any options, it will only
remove the core afterstep files, leaving the apps that used to be shipped
with the releases.  The "bughint" file can be run when finding and reporting
bugs.  Both "makeasclean" and "makeaspatch" are used to clean out the source
tree and making patches to the distrobution (in a proper format).
pagerconfig1_4to1_5 is a script to translate the 1.4.x pager config files
to the newer 1.5.x format.

 THEMES
+-------+

The big addition to the tools is the theme-handler.  There are two perl
scripts to make and install themes created by this same theme handling
script.  A readme is included, check it out and start making some themes!
Currently there are no menu hooks to use the scripts while in AfterStep,
but don't let that stop anyone.  [ The goal: to have to ask for more room
on the host of ftp.afterstep.org for all the themes! - PLEASE reade the
README in the themes/ directory of ftp.afterstep.org for details on theme
submission (soon to be on www.afterstep.org as a page...soon) ].

 FAQ
+----+

Now before asking any questions, be sure to read the FAQ that is included
in this distribution by clicking on the top Wharf button, or selecting
AfterStepDoc from the menu.  The doc/1.0_to_1.5 file lists several
differemces along the way to 1.5.x and the README_new.options lists new
options.

 SITES
+------+

More informations	:		www.afterstep.org
New development versions:		ftp.afterstep.org
Help			:		mail afterstep@linuxcenter.com
					subject: subscribe
Coders			:		mail afterstep@linuxcenter.com
					subject: subscribe
Chat			:		#afterstep on EFNet
Access to EFNet can be done by connecting to any efnet irc server :
	irc.concentric.net ; irc.prison.net ; ircd.txdirect.net


 TODO
+------+

In TODO/ you'll find stuff to be put in.  Feel free to add this to this
version : debug unreleased/ or unstable/.  You can also help Nwanua adding
new features to ascp!  Please also translate README to your language if it
hasn't been done yet.


 MAINTAINERS
+------------+

Check out the TEAM file.

03.17.99

 LEGAL
+------+

 o Implicit copyrights:

SINCE BERNE CONVENTION, COPYRIGHTS ARE IMPLICIT, EVEN IF AUTHORS DO NOT
WRITE "COPYRIGHT" WORD IN THE FILE THEY OWN INTELLECTUAL PROPERTY !

Therefore, every file is Copyright (C) by his (or its) respective(s) owner(s)
at the date of writing.

 o License

The whole program called AfterStep is distribued under GNU GPL v2 license.
AfterStep library is distributed under LGPL license.
AfterStep documentation is distributed under LDP license.

See doc/licenses/ files for more informations.

 o Exceptions

	1. MIT/Evans & Sutherland copyright

Some files from src/, initially from twm, are covered by a different
license :
add_window.c afterstep.c borders.c clientwin.c functions.c

	2. Headers

Headers files are public domain ; Robert Nation stated in decorations.c :

<<

  Definitions of the hint structure and the constants are courtesy of
  mitnits@bgumail.bgu.ac.il (Roman Mitnitski ), who sent this note,
  after conferring with a friend at the OSF:

 >  Hi, Rob
 >
 >  I'm happy to announce, that you can use motif public
 >  headers in any way you can... I just got the letter from
 >  my friend, it says literally:
 >
 >>    Hi.
 >>
 >> Yes, you can use motif public header files, in particular because there is
 >> NO limitation on inclusion of this files in your programms....Also, no one
 >> can put copyright to the NUMBERS (I mean binary flags for decorations) or
 >> DATA STRUCTURES (I mean little structure used by motif to pass description
 >> of the decorations to the mwm). Call it another name, if you are THAT MUCH
 >> concerned.
 >>
 >> You can even use the little piece of code I've passed to you - we are
 >> talking about 10M distribution against two pages of code.
 >>
 >> Don't be silly.
 >>
 >> Best wishes.
 >> Eli

>>
